WordPress最新简体中文安装包v5.5-alpha-47821手动安装更新教程

目前,国内基本是无法打开wordpress官网(强制刷新几次,可以进入),大多数需要用wordpress建站的小伙伴都无法下载安装包。(在wordpress交流群中,有部分网友反馈,可正常更新cms及插件。)所以,我在这里分享一下。我个人是比较喜欢测试新的东西,所以这是官方测试版5.5-alpha-47821。官方说明:5.4的正式版已在3.31日发布。

WordPress官网(https://wordpress.org)无法打开已经有一段时间了,一直提示429错误代码。如下图WordPress最新简体中文安装包手动安装更新教程

  • 至于为什么会这样呢?

网上流传的原因大致有:

1.WP官网服务器或网站遭到攻击或瘫痪(流传最广的可能性)

2.WP官网被区域隔离无法访问

  • 不过大家不用担心 解决方法

经测试,目前的nginx 429错误仅仅是使用浏览器访问时出现的,如果想要下载最新版的WordPress,可以通过下载软件(如:迅雷)下载的。

WordPress最新简体中文安装包手动安装更新教程
不过目前 wordpress插件还是无法用这种方法获取到最新版本,如果在 wordpress博客后台的插件中搜索安装的话,同样会遇到经常失灵的情况。
其实很多访问WordPress官网,就是为了升级WordPress,我已经下载分享到网盘了,希望可以帮到大家!

历史版本

WordPress最新简体中文安装包v5.4-RC5-47525手动安装更新教程

WordPress最新简体中文安装包v5.4手动安装更新教程

如果大家需要更新插件的话,解决方法

wordpress 429 Too Many Requests 自建PHP代理程序彻底解决wordpress国内无法打开

wp-china-yes或kill 429安装插件(有时间我会详细介绍)

  • 手动更新步骤

1.禁止所有插件运行

为了防止插件不兼容的情况出现,更新之前要禁止全部插件运行。

2.更新 wordPress 文件

(1) 解压下载的新版本,删除里面的 wp-content 文件夹和根目录的 wp-config.php(原始包没有这个文件,不用管),使用 FTP 上传其他文件,覆盖原来的文件。

因为你目前 VPS 的 wp-content 文件夹里面有主题、插件,根目录的 wp-config.php 是 WordPress 的配置文件,如果全部上传覆盖这些文件你网站就不打开了。

(2) 访问 https://你的网址/wp-admin/upgrade.php,出现页面提示你需要更新数据库,点击更新,就可以恢复到旧版本的 wordpress。

  • ps:升级之前一定要备份数据库,防止升级失败,网站打不开。

发表评论